spring:
  jpa.database: mysql
  datasource:
    type: com.zaxxer.hikari.HikariDataSource  # == https://github.com/openbouquet/HikariCP#frequently-used
    url: jdbc:mysql://localhost:3306/dwfe_test?useUnicode=yes&characterEncoding=UTF-8&useLegacyDatetimeCode=false&serverTimezone=UTC&useSSL=false&allowPublicKeyRetrieval=true
    username: root
    password: 1

    schema: classpath:sql/schema.sql
    data: classpath:sql/data.sql
    initialization-mode: always


#
#  MODULE: Nevis
#

dwfe.nevis:
  api:

  third-party-auth:
    google-client-id: 923540484627-9cifd9onuu0kboid4v1vmf25ee1g09e0.apps.googleusercontent.com  # localhost
    facebook-app-id: 167940340684275  # localhost
    facebook-app-secret: eeed1accfa583e41f0b9b7124b32dd30

  scheduled-task-mailing:
    initial-delay: 5000
    collect-from-db-interval: 5000
    send-interval: 2300
    max-attempts-to-send-if-error: 3